package db.netprobe.mapper;

import db.netprobe.entity.LogFileMeta;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface PacketFileMetaMapper {

    @Insert("insert into packet_file_meta(file_name,create_time,start_time,end_time,count)values(#{fileName}," +
            "#{createTime},#{startTime},#{end_time},#{count})")
    public int insert(LogFileMeta logFileMeta);

    @Update("update packet_file_meta set file_name = #{fileName}, start_time = #{startTime}, end_time = #{endTime}," +
            "count = #{count} where id = #{id}")
    public int update(LogFileMeta logFileMeta);

    @Select("select * from packet_file_meta")
    public List<LogFileMeta> getPacketFileMeta();
}
