package db.netprobe.netty;

import db.netprobe.entity.BasePackage;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.channel.socket.DatagramPacket;
import lombok.extern.slf4j.Slf4j;

import java.net.InetAddress;


@Slf4j
public class NettyClientHandler extends SimpleChannelInboundHandler<BasePackage> {

    @Override
    protected void channelRead0(ChannelHandlerContext arg0, BasePackage basePackage) throws Exception {
        System.out.println("收到数据:" + basePackage);
    }

    @Override
    public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) {
        cause.printStackTrace();
        ctx.close();
    }
}
