package db.netprobe.util;

import java.util.Random;

public class ContentUtils {


    public static byte[] generatorRandomData(long sMac, long dMac, String sIp, String dIp, short sPort, short dPort) {

        Random r = new Random();
        int length = r.nextInt(24) + 48;

        byte[] data = new byte[length];
        r.nextBytes(data);

        byte[] sMacBytes = ConvertUtils.long2macBytes(sMac);
        byte[] dMacBytes = ConvertUtils.long2macBytes(dMac);

        byte[] sIpBytes = ConvertUtils.int2Bytes((int) ConvertUtils.ipToInt(sIp));
        byte[] dIpBytes = ConvertUtils.int2Bytes((int) ConvertUtils.ipToInt(dIp));

        byte[] sPortBytes = ConvertUtils.short2Bytes(sPort);
        byte[] dPortBytes = ConvertUtils.short2Bytes(dPort);

        ConvertUtils.arrayCopy(sMacBytes,0 ,data,6,6);
        ConvertUtils.arrayCopy(dMacBytes,0 ,data,0,6);
        ConvertUtils.arrayCopy(sIpBytes,0 ,data,26,4);
        ConvertUtils.arrayCopy(dIpBytes,0 ,data,30,4);
        ConvertUtils.arrayCopy(sPortBytes,0 ,data,34,2);
        ConvertUtils.arrayCopy(dPortBytes,0 ,data,36,2);

        return data;

    }
}
